function h = sfigure(h, visible)
% SFIGURE  Create figure window (minus annoying focus-theft).
%
% Usage is identical to figure.
%
% Daniel Eaton, 2005
%
% See also figure

if(nargin < 2)
    visible = 1;
end
    

if (nargin>=1 && ~isempty(h)) 
	if ishandle(h)
		set(0, 'CurrentFigure', h);
	else
		h = figure(h);
	end
else
	h = figure;
end

if(visible)
    set(h, 'visible', 'on');
else
    set(h, 'visible', 'off');
end